%define betaver beta3
%define rel 2

Name: kchmviewer
Version: 4.0
Release: %mkrel -c %betaver %rel
Summary: KDE chm viewer
License: GPLv2+
URL: http://kchmviewer.sourceforge.net/
Group: Graphical desktop/KDE
Source: %name-%version%betaver.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: chmlib-devel

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget 
library, and does not depend on KDE or Gnome. However, 
it may be compiled with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support. 
Unlike others, KchmViewer in most cases correctly detects help file encoding, 
correctly shows tables of context of Russian, Korean, Chinese and Japanese help
files, and correctly searches in non-English help files 
(search for MBCS languages - ja/ko/ch is still in progress).

%prep
%setup -q -n %name-%version%betaver

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
cd build
%makeinstall_std
cd -

# these files conflict with okular
rm -f %buildroot%{_kde_libdir}/kio_msits.so
rm -f %buildroot%{_kde_datadir}/kde4/services/msits.protocol

%find_lang %name

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde_bindir}/kchmviewer
%{_kde_datadir}/applications/kde4/kchmviewer.desktop
%{_kde_iconsdir}/crystalsvg/*/apps/*

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif



%changelog
* Wed Aug 13 2008 Funda Wang <fundawang@mandriva.org> 4.0-0.beta3.2mdv2009.0
+ Revision: 271365
- fix conflicts with okular

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 10 2008 Funda Wang <fundawang@mandriva.org> 4.0-0.beta3.1mdv2009.0
+ Revision: 217343
- New version 4.0beta3

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1-4mdv2008.1
+ Revision: 170915
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.1-3mdv2008.1
+ Revision: 106169
- Rebuild to fix bug #35325

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.1-3mdv2008.0
+ Revision: 75130
- Recompile against new library

* Sun Jun 17 2007 Helio Chissini de Castro <helio@mandriva.com> 3.1-2mdv2008.0
+ Revision: 40524
- Fix build for x86_64
- Remove invalid %%post and %%postun
- Remove wrong menu install
- Bring back .la file to enable proper load module

* Sun Jun 17 2007 Funda Wang <fundawang@mandriva.org> 3.1-1mdv2008.0
+ Revision: 40499
- New version
- kill old menu

* Tue May 01 2007 Funda Wang <fundawang@mandriva.org> 3.0-1mdv2008.0
+ Revision: 19881
- BuildRequires chmlib-devel
- use qt3 macros
- added missing locale fiiles.
- New upstream version 3.0


* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 2.7-1mdv2007.0
+ Revision: 92104
- Update to 2.7
- Import kchmviewer

